Bug 733220 - Cannot boot rhev-h after successful installation. "No bootable device -- insert boot disk and press any key"
Summary: Cannot boot rhev-h after successful installation. "No bootable device -- inse...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node
Version: 6.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Joey Boggs
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 731146
TreeView+ depends on / blocked
 
Reported: 2011-08-25 07:41 UTC by Sadique Puthen
Modified: 2016-04-26 16:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-09 17:41:02 UTC


Attachments (Terms of Use)
Ovirt Log (32.15 KB, text/plain)
2011-08-25 07:41 UTC, Sadique Puthen
no flags Details
dmidecode (10.06 KB, text/plain)
2011-09-27 12:57 UTC, Sadique Puthen
no flags Details

Description Sadique Puthen 2011-08-25 07:41:52 UTC
Created attachment 519775 [details]
Ovirt Log

Description of problem:

RHEV-H installation was successful, but after reboot, system cannot boot from hard disk.

No bootable device -- insert boot disk and press any key

I had earlier installed RHEL6 on the same system without any problems.

ovirt.log attached.

Comment 2 Ying Cui 2011-08-25 10:37:58 UTC
In QE test environment, we tested many times on different machines, we can not reproduce this bug.

Comment 3 Mike Burns 2011-08-25 11:21:06 UTC
Please provide hardware details for your machine and the version you are installing.


From the log, it looks like this was a TUI install

Comment 4 Sadique Puthen 2011-08-25 11:39:02 UTC
version is rhev-hypervisor-6.2-0.12.iso

This is an assembled box with 4GB of memory and 2 cpus. Please let me know what other specific hardware details (like dmidecode, /proc/cpuinfo and etc) you are looking for so that I can collect and send it to you.

Comment 5 Mike Burns 2011-08-25 11:50:46 UTC
What kind of storage are you using? What type of processor?

/proc/cpuinfo and dmidecode would be good starts.  Can you also provide /var/log/messages ?

Thanks

Comment 8 Andrius Benokraitis 2011-09-08 18:42:36 UTC
Sadique - haven't heard from you on this in a while - any other feedback?

Comment 10 Alan Pevec 2011-09-09 07:38:29 UTC
No reproducer yet, moving to 6.3 for now.

Comment 15 Joey Boggs 2011-09-27 12:38:03 UTC
Install looks good, possibly lvm issue after grub installs but you should at least get a grub prompt. What is the boot order on this machine?
Does it attempt booting directly from the hard drive or does it boot from the
install media and you select "Boot from local drive" ?


finishing install
device-mapper: remove ioctl failed: Device or resource busy
Warning: parted was unable to re-read the partition table on /dev/mapper/1ATA  
  ST3160212AS                                         4LS38CRG (Device or
resource busy).  This means Linux won't know anything about the modifications
you made. 
device-mapper: create ioctl failed: Device or resource busy
device-mapper: remove ioctl failed: Device or resource busy
Error: The device /dev/mapper/control has zero length, and can't possibly store
a file system or partition table.  Perhaps you selected the wrong device?
Warning: Error fsyncing/closing /dev/mapper/control: Invalid argument
device-mapper: remove ioctl failed: Device or resource busy
Warning: parted was unable to re-read the partition table on /dev/mapper/1ATA  
  ST3160212AS                                         4LS38CRG (Device or
resource busy).  This means Linux won't know anything about the modifications
you made. 
device-mapper: create ioctl failed: Device or resource busy
device-mapper: remove ioctl failed: Device or resource busy
Error: The device /dev/mapper/control has zero length, and can't possibly store
a file system or partition table.  Perhaps you selected the wrong device?
Warning: Error fsyncing/closing /dev/mapper/control: Invalid argument
e2label '/dev/mapper/1ATA     ST3160212AS                                      
  4LS38CRGp1' RootBackup
e2label '/dev/mapper/1ATA     ST3160212AS                                      
  4LS38CRGp2' Root


Note You need to log in before you can comment on or make changes to this bug.